This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1057555 - CVE-2009-0689 php: heap overflow in floating point parsing
CVE-2009-0689 php: heap overflow in floating point parsing
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20140318,repor...
: Security
Depends On: 1067646 1067647 1067657 1067658 1067659
Blocks: 1056609
  Show dependency treegraph
 
Reported: 2014-01-24 05:50 EST by Tomas Hoger
Modified: 2014-10-17 04:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: php 5.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 16:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2014-01-24 05:50:10 EST
PHP uses a strtod() implementation using code written by David M. Gay.  This code was previously identified to contain a flaw leading to a heap based buffer overflow when overly long string representing a floating point number is parsed to a number.  The problem was assigned CVE ids CVE-2009-0689 (bug 539784) and CVE-2013-4164 (bug 1033460) and was fixed in various other projects re-using this affected code.

The problem was already corrected in PHP before the security issue was identified and CVE-2009-0689 assigned, via the following upstream commit:

http://git.php.net/?p=php-src.git;a=commitdiff;h=37da90248deb2188e8ee50e4753ad6340679b425

The fix was included in PHP 5.2.2.  This wasn't identified as security fix, or mentioned in the changelog for that PHP release:

http://www.php.net/ChangeLog-5.php#5.2.2

Problem can be triggered remotely if PHP application handles value from a request as numeric / floating point.

This issue affects php packages in Red Hat Enterprise Linux 5.  The php53 in Red Hat Enterprise Linux 5 and php packages in Red Hat Enterprise Linux 6 are based on fixed upstream version and are therefore unaffected.  The php packages in Red Hat Enterprise Linux 4 and older do not contain vulnerable code.
Comment 4 Tomas Hoger 2014-03-18 14:57:20 EDT
Making the bug public.
Comment 5 errata-xmlrpc 2014-03-18 15:43:59 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only
  Red Hat Enterprise Linux 5.3 Long Life
  Red Hat Enterprise Linux 5.6 Long Life

Via RHSA-2014:0312 https://rhn.redhat.com/errata/RHSA-2014-0312.html
Comment 6 errata-xmlrpc 2014-03-18 15:45:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0311 https://rhn.redhat.com/errata/RHSA-2014-0311.html

Note You need to log in before you can comment on or make changes to this bug.